summaryrefslogtreecommitdiffstats
path: root/development/xmlcopyeditor
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2010-05-12 23:28:59 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:59 +0200
commit08c14438ada25899c6c302c76272ce9ad44e6fe4 (patch)
treeb1ebd59f9158e27d6dc0ab7fd287deac4b73a6be /development/xmlcopyeditor
parent814736aa851fb5182b55d67aa38fed9f25717b67 (diff)
downloadslackbuilds-08c14438ada25899c6c302c76272ce9ad44e6fe4.tar.gz
slackbuilds-08c14438ada25899c6c302c76272ce9ad44e6fe4.tar.xz
development/xmlcopyeditor: Added to 12.2 repository
Diffstat (limited to 'development/xmlcopyeditor')
-rw-r--r--development/xmlcopyeditor/README6
-rw-r--r--development/xmlcopyeditor/doinst.sh4
-rw-r--r--development/xmlcopyeditor/slack-desc19
-rw-r--r--development/xmlcopyeditor/xmlcopyeditor.SlackBuild74
-rw-r--r--development/xmlcopyeditor/xmlcopyeditor.info8
5 files changed, 111 insertions, 0 deletions
diff --git a/development/xmlcopyeditor/README b/development/xmlcopyeditor/README
new file mode 100644
index 0000000000..b9c245c04d
--- /dev/null
+++ b/development/xmlcopyeditor/README
@@ -0,0 +1,6 @@
+XML Copy Editor is a fast, free, validating XML editor.
+
+Requires: boost, xerces-c and wxPython.
+
+Note: This slackbuild will fail if wxGTK is installed,
+as it is missing a needed header file.
diff --git a/development/xmlcopyeditor/doinst.sh b/development/xmlcopyeditor/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/development/xmlcopyeditor/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/development/xmlcopyeditor/slack-desc b/development/xmlcopyeditor/slack-desc
new file mode 100644
index 0000000000..4d7eeaf570
--- /dev/null
+++ b/development/xmlcopyeditor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xmlcopyeditor: xmlcopyeditor (XML editor based on Scintilla)
+xmlcopyeditor:
+xmlcopyeditor: XML Copy Editor is a fast, free, validating XML editor.
+xmlcopyeditor:
+xmlcopyeditor: Homepage: http://xml-copy-editor.sourceforge.net/
+xmlcopyeditor:
+xmlcopyeditor:
+xmlcopyeditor:
+xmlcopyeditor:
+xmlcopyeditor:
+xmlcopyeditor:
diff --git a/development/xmlcopyeditor/xmlcopyeditor.SlackBuild b/development/xmlcopyeditor/xmlcopyeditor.SlackBuild
new file mode 100644
index 0000000000..40e8db418d
--- /dev/null
+++ b/development/xmlcopyeditor/xmlcopyeditor.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for xmlcopyeditor
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=xmlcopyeditor
+VERSION=${VERSION:-1.2.0.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --localedir=/usr/share/locale \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+# xmlcopyeditor decided to package every license under the sun.
+# So I guess we'll package them too.
+mv $PKG/usr/share/$PRGNAM/copying $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/xmlcopyeditor/xmlcopyeditor.info b/development/xmlcopyeditor/xmlcopyeditor.info
new file mode 100644
index 0000000000..e60858accf
--- /dev/null
+++ b/development/xmlcopyeditor/xmlcopyeditor.info
@@ -0,0 +1,8 @@
+PRGNAM="xmlcopyeditor"
+VERSION="1.2.0.4"
+HOMEPAGE="http://xml-copy-editor.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/xml-copy-editor/xmlcopyeditor-1.2.0.4.tar.gz"
+MD5SUM="0b85649a4ef6af817b1c4089237b2a57"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="dsomero"